<template>
  <cabinet-layout nav-active="profile">
    <div
      slot="block-content"
      class="wrench">
      <submenu item-active="organization-info"/>
      <div class="container">
        <div class="kit breadcrumb">
          <div class="section">
            <flink href="/cabinet/wrench/organization-info">Реквизиты организации</flink>
          </div>
          <div class="section active">
            <flink>Добавление организации</flink>
          </div>
        </div>
        <div class="title">
          Добавление организации
        </div>

        <form-organization action-type="new"/>

      </div>

    </div>

    <div slot="line-modal">
      <exit-save v-model="modals.exitSave"/>
    </div>
  </cabinet-layout>
</template>

<script>
import CabinetLayout from '~/components/redesign/cabinet/main-layout';
import Submenu from '~/components/redesign/cabinet/submenu';
import FormOrganization from '~/components/redesign/cabinet/form-organization';
import ExitSave from '~/components/redesign/cabinet/modal/exit-save';

export default {
  name: 'WrenchOrganizationNew',
  components: {
    CabinetLayout,
    Submenu,
    FormOrganization,
    ExitSave,
  },
  layout: 'cabinet',
  fetch({ store, redirect }) {
    if (!store.getters['user/organizationsEditAvailable']) {
      return redirect('/cabinet/wrench/profile');
    }
    return '';
  },
  data() {
    return {
      modals: {
        exitSave: false,
      },
    };
  },
  methods: {
    exitSaveAction() {
      this.modals.exitSave = true;
    },
  },
};
</script>

<style scoped lang="scss">
  .question {
    @media screen and (max-width: 980px) {
      display: none;
    }
    @media screen and (min-width: 981px) {
      position: relative;
      display: inline-flex;
      > .button {
        display: inline-flex;
        justify-content: center;
        align-items: center;
        width: 1rem;
        height: 1rem;
        background: transparent;
        border: 1px solid #9badb9;
        border-radius: 50%;
        outline: 0;
        cursor: pointer;
        &:before {
          display: inline-flex;
          content: "?";
          font-size: 0.75rem;
          font-weight: normal;
          line-height: 1;
          color: #4272a4;
        }
      }
    }
  }

  .wrench {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: stretch;
    width: 100%;
    .container {
      display: flex;
      flex-flow: column nowrap;
      justify-content: flex-start;
      align-items: flex-start;
      padding: 1.5rem;
      @media screen and (max-width: 980px) {
        display: none;
      }

      .title {
        display: block;
        line-height: 1.3;
        font-weight: 700;
        padding: 1.5rem 0 0;
        margin: 0;
        font-size: 1rem;
      }
    }
  }
</style>
